#!/usr/local/bin/python2.6
#encoding: utf-8

## Gera um conjunto artificial de evidências para testar o mapeador.

import numpy

import sys


Npos, Npix= 9, 480





def projeta (pa, xj, yj):
    return 240.0+480 * yj/(xj-pa)


Theta = numpy.array([

        [10, 6],
        [10, 5],
        [10, 4],
        [11, 4],
        [12, 4],
        [12, -4],
        [11, -4],
        [10, -4],
        [10, -5],
        [10, -6],

        ], dtype='float')

Z = []

##
## Pega cada cadeia, deriva, encontra os picos e joga na lista de
## evidências amostradas o valor de w_i = z_i^-1. Valor de w_i deve
## ser limitado (i.e. desconsiderar z_i perto de 0)
for k in xrange(0,Npos):   #Npos):

    
    pks = projeta(k, Theta[:,0], Theta[:,1] ) 

    print 'pks', pks

    z = numpy.array(pks, dtype=float) /Npix - 0.5
    faixa = 10.0/Npix
    z = z[numpy.abs(z) > faixa]  ## Seleciona só os picos fora da faixa central de 20 pixels
    w = z**-1
    
    ## Joga na lista de evidências
    Z.append( list(w) )
    
    print Z[-1]
    print



##
##
## Salva a lista de evidências, Z em um arquivo
import pickle
output = open(sys.argv[1], 'wb')
pickle.dump(Z, output, -1)
output.close()




